javax.faces.component.html

## Enum HtmlSelectManyListbox.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlSelectManyListbox.PropertyKeys>
  - - javax.faces.component.html.HtmlSelectManyListbox.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlSelectManyListbox.PropertyKeys>
  Enclosing class:
    HtmlSelectManyListbox

      protected static enum HtmlSelectManyListbox.PropertyKeys
      extends Enum<HtmlSelectManyListbox.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `dir`
    `disabled`
    `disabledClass`
    `enabledClass`
    `label`
    `lang`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `size`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlSelectManyListbox.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlSelectManyListbox.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlSelectManyListbox.PropertyKeys accesskey

    - #### dir

          public static final HtmlSelectManyListbox.PropertyKeys dir

    - #### disabled

          public static final HtmlSelectManyListbox.PropertyKeys disabled

    - #### disabledClass

          public static final HtmlSelectManyListbox.PropertyKeys disabledClass

    - #### enabledClass

          public static final HtmlSelectManyListbox.PropertyKeys enabledClass

    - #### label

          public static final HtmlSelectManyListbox.PropertyKeys label

    - #### lang

          public static final HtmlSelectManyListbox.PropertyKeys lang

    - #### onblur

          public static final HtmlSelectManyListbox.PropertyKeys onblur

    - #### onchange

          public static final HtmlSelectManyListbox.PropertyKeys onchange

    - #### onclick

          public static final HtmlSelectManyListbox.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlSelectManyListbox.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlSelectManyListbox.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlSelectManyListbox.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlSelectManyListbox.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlSelectManyListbox.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlSelectManyListbox.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlSelectManyListbox.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlSelectManyListbox.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlSelectManyListbox.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlSelectManyListbox.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlSelectManyListbox.PropertyKeys onselect

    - #### readonly

          public static final HtmlSelectManyListbox.PropertyKeys readonly

    - #### role

          public static final HtmlSelectManyListbox.PropertyKeys role

    - #### size

          public static final HtmlSelectManyListbox.PropertyKeys size

    - #### style

          public static final HtmlSelectManyListbox.PropertyKeys style

    - #### styleClass

          public static final HtmlSelectManyListbox.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlSelectManyListbox.PropertyKeys tabindex

    - #### title

          public static final HtmlSelectManyListbox.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlSelectManyListbox.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlSelectManyListbox.PropertyKeys c : HtmlSelectManyListbox.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlSelectManyListbox.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlSelectManyListbox.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.